<div class="container-fluid" style="background: #e8e8e8; height: 100%">
  <app-navigation-bar></app-navigation-bar>
  <div class="container">
    <div class="row">
      <div class="card px-0 pt-1">
        <div class="card-header w-100 d-flex justify-content-between">
          <h2 class="m-0">Création d'utilisateurs</h2>
          <button class="btn btn-primary" (click)="addForm()">+ Ajouter un nouvel utilisateur</button>
        </div>
        <div class="card-body">
          <div class="card">
            <div class="row">
              <div class="col-md-6" *ngFor="let userForm of userForms; let index = index;">
                <app-users-new-form [formIndex]="index" (changeEvent)="handleChange($event)" (deleteEvent)="handleRemove($event)"></app-users-new-form>
              </div>
            </div>
          </div>
        </div>
        <div class="card-footer d-flex justify-content-end">
          <button class="btn btn-block btn-success" (click)="handleSubmit()">Créer</button>
        </div>
      </div>
    </div>
  </div>
</div>
